Kinvey - Forum - OpenEdge General - Progress Community
 Forum

Kinvey

This question is answered

what version of Openedge do you need to be on to use KINVEY?

OE: 11.4

OS: HP-UX 11.31

Thanks in Advance!

Verified Answer
  • I would think 11.0 and higher for the backend.

All Replies
  • I would think 11.0 and higher for the backend.

    1. If you intending to use Rapid Progress Data connector, the backend should be 11.7.x. It makes use of JSDO client library which supports from 11.7 onwards.
      1. Please not that Rapid Progress Data connector is not yet GA and has some limitations (no pagination support, no JFP support etc)
    2. However, Kinvey also supports generic Rapid REST connector which can be used to talk to any REST service.
    3. If the rapid connectors aren't working for you, there is flex SDK which can be used to write any custom mapping to the OE backend.

    May I know the usecase that you are using Kinvey for?

  • We are going to utilize Kinvey to Modernize our character base ERP.  What does GA mean?  We use REST APIs today, so we could use REST?  I think this would be the flow - Kinvey  ---> Our Tomcat Web Server --> AppBrokers waiting for the request, the agent or agents fulfill the client request and back through.  

  • Hi Chuck,

    GA = Generally Available

    Meaning, this stuff hasn't been generally released as yet.  However as he mentions, there is also support for generic connectors.

    This means that you will have to deploy using a minimum of 11.7.x.

    I do not believe you will be able to continue to use your restbroker services for this.  You would need to generate jSDO (Data Object Service) along with your REST service in order for the Kinvey application to interact with it.

    Does this answer your questions?  

    Thanks,

    Ken Mc

    Kenneth S. McIntosh

    Principal Technical Support Engineer

     

     

  • I think the restbroker based services should work fine as well. For that, you would have to use Kinvey Rapid REST connector. However, remember Kinvey is a hosted service and the Openedge backend REST service endpoint should be either publicly available or Kinvey should be able to tunnel to your corporate VPN. I dont have much knowledge on VPN tunnelling capabilities of Kinvey. Perhaps someone in Kinvey team can answer this better.

  • thank you!  Either we go over the internet to our DMZ or build out a VPN tunnel.  So we don't have to upgrade our OpenEdge back end, however, we are going to upgrade next year to 12.2. but in the mean time we want to get started.